org.deidentifier.arx

## Class ARXFeatureScaling

- java.lang.Object
- - org.deidentifier.arx.ARXFeatureScaling

All Implemented Interfaces:
  java.io.Serializable

    public class ARXFeatureScaling
    extends java.lang.Object
    implements java.io.Serializable

Configuration for feature scaling

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ARXFeatureScaling` `create()` Returns a new instance
`net.objecthunter.exp4j.Expression` `getScalingExpression(java.lang.String attribute)` Returns a scaling function
`java.lang.String` `getScalingFunction(java.lang.String attribute)` Returns a scaling function
`boolean` `isValidScalingFunction(java.lang.String function)` Returns whether the function is valid
`ARXFeatureScaling` `removeScalingFunction(java.lang.String attribute)` Remove the scaling function, if any
`ARXFeatureScaling` `setScalingFunction(java.lang.String attribute, java.lang.String function)` Sets a scaling function
`ARXFeatureScaling` `setScalingFunctionIdentity(java.lang.String attribute)` Sets a scaling function
`ARXFeatureScaling` `setScalingFunctionInverse(java.lang.String attribute)` Sets a scaling function
`ARXFeatureScaling` `setScalingFunctionLog(java.lang.String attribute)` Sets a scaling function
`ARXFeatureScaling` `setScalingFunctionSQRT(java.lang.String attribute)` Sets a scaling function
`ARXFeatureScaling` `setScalingFunctionSquare(java.lang.String attribute)` Sets a scaling function

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static ARXFeatureScaling create()

Returns a new instance

Returns:

#### getScalingExpression

    public net.objecthunter.exp4j.Expression getScalingExpression(java.lang.String attribute)

Returns a scaling function

Parameters:
  `attribute` -
Returns:

#### getScalingFunction

    public java.lang.String getScalingFunction(java.lang.String attribute)

Returns a scaling function

Parameters:
  `attribute` -
Returns:

#### isValidScalingFunction

    public boolean isValidScalingFunction(java.lang.String function)

Returns whether the function is valid

Parameters:
  `function` -
Returns:

#### removeScalingFunction

    public ARXFeatureScaling removeScalingFunction(java.lang.String attribute)

Remove the scaling function, if any

Parameters:
  `attribute` -

#### setScalingFunction

    public ARXFeatureScaling setScalingFunction(java.lang.String attribute,
                                                java.lang.String function)

Sets a scaling function

Parameters:
  `attribute` -
  `function` -

#### setScalingFunctionIdentity

    public ARXFeatureScaling setScalingFunctionIdentity(java.lang.String attribute)

Sets a scaling function

Parameters:
  `attribute` -

#### setScalingFunctionInverse

    public ARXFeatureScaling setScalingFunctionInverse(java.lang.String attribute)

Sets a scaling function

Parameters:
  `attribute` -

#### setScalingFunctionLog

    public ARXFeatureScaling setScalingFunctionLog(java.lang.String attribute)

Sets a scaling function

Parameters:
  `attribute` -

#### setScalingFunctionSQRT

    public ARXFeatureScaling setScalingFunctionSQRT(java.lang.String attribute)

Sets a scaling function

Parameters:
  `attribute` -

#### setScalingFunctionSquare

    public ARXFeatureScaling setScalingFunctionSquare(java.lang.String attribute)

Sets a scaling function

Parameters:
  `attribute` -